
TYPO3.Kickstart - Bug # 43908

Status: Resolved Priority: Must have
Author: Thomas Mammitzsch Category:
Created: 2012-12-12 Assigned To: Karsten Dambekalns
Updated: 2013-03-19 Due date:
Affected Flow version: Git master
Subject: wrong class name of kickstarted Command controllers
Description

./flow kickstart:commandcontroller Acme.Demo Dosomething

results in creating DosomethingController.php with class DosomethingController 
but it must be DosomethingCommandController.php with class DosomethingCommandController

Associated revisions
Revision 568c98f3 - 2013-01-15 10:53 - Karsten Dambekalns

[BUGFIX] Fix command controller kickstart

When kickstarting a command controller the class/file name would lack
the "Command" part (as of Ie758c26cecd591ed240478de3f9597714060fb88).

Change-Id: If9bef5c3f56ff3e5c3e0b42941df9f721c5dd14c
Fixes: #43908
Releases: master, 2.0, 1.1

Revision adc1c2be - 2013-03-19 16:08 - Karsten Dambekalns

[BUGFIX] Fix command controller kickstart

When kickstarting a command controller the class/file name would lack
the "Command" part (as of Ie758c26cecd591ed240478de3f9597714060fb88).

Change-Id: If9bef5c3f56ff3e5c3e0b42941df9f721c5dd14c
Fixes: #43908
Releases: master, 2.0, 1.1

Revision 34ff1678 - 2013-03-19 16:09 - Karsten Dambekalns

[BUGFIX] Fix command controller kickstart

When kickstarting a command controller the class/file name would lack
the "Command" part (as of Ie758c26cecd591ed240478de3f9597714060fb88).

Change-Id: If9bef5c3f56ff3e5c3e0b42941df9f721c5dd14c
Fixes: #43908
Releases: master, 2.0, 1.1
History
#1 - 2012-12-13 12:36 - Karsten Dambekalns
- Affected Flow version changed from Git 1.2 (master) to Git master

#2 - 2013-01-15 10:48 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 2.0

#3 - 2013-01-15 10:53 - Karsten Dambekalns
- Status changed from Accepted to Under Review

See https://review.typo3.org/17539

#4 - 2013-02-27 13:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:568c98f34472e453559ead436eb5842ed31ddffd.

#5 - 2013-03-19 16:09 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/19052

#6 - 2013-03-19 16:09 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19053

#7 - 2013-03-19 16:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:34ff1678c9d373719b26bebd72968d0c0226e617.
